org.wildfly.swarm.config.jca

## Class BootstrapContext<T extends BootstrapContext<T>>

- java.lang.Object
- - org.wildfly.swarm.config.jca.BootstrapContext<T>

-     public class BootstrapContext<T extends BootstrapContext<T>>
      extends Object

  Bootstrap context for resource adapters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BootstrapContext(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `name()` The name of the BootstrapContext
    `T` | `name(String value)` The name of the BootstrapContext
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `workmanager()` The WorkManager instance for the BootstrapContext
    `T` | `workmanager(String value)` The WorkManager instance for the BootstrapContext

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BootstrapContext

          public BootstrapContext(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### name

          public String name()

      The name of the BootstrapContext

    - #### name

          public T name(String value)

      The name of the BootstrapContext

    - #### workmanager

          public String workmanager()

      The WorkManager instance for the BootstrapContext

    - #### workmanager

          public T workmanager(String value)

      The WorkManager instance for the BootstrapContext

Copyright © 2018 JBoss by Red Hat. All rights reserved.